aboutsummaryrefslogtreecommitdiffstats
path: root/laas/actions/actions/resolve_host.sh
diff options
context:
space:
mode:
Diffstat (limited to 'laas/actions/actions/resolve_host.sh')
-rw-r--r--laas/actions/actions/resolve_host.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/laas/actions/actions/resolve_host.sh b/laas/actions/actions/resolve_host.sh
new file mode 100644
index 0000000..8f0d185
--- /dev/null
+++ b/laas/actions/actions/resolve_host.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+##############################################################################
+# Copyright 2018 Parker Berberian and Others #
+# #
+# Licensed under the Apache License, Version 2.0 (the "License"); #
+# you may not use this file except in compliance with the License. #
+# You may obtain a copy of the License at #
+# #
+# http://www.apache.org/licenses/LICENSE-2.0 #
+# #
+# Unless required by applicable law or agreed to in writing, software #
+# distributed under the License is distributed on an "AS IS" BASIS, #
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. #
+# See the License for the specific language governing permissions and #
+# limitations under the License. #
+##############################################################################
+
+
+HOSTNAME="$1"
+
+RECORD=$(nslookup "$HOSTNAME" | awk 'NR>2 && /Address/{print $2}')
+
+[ -z "$RECORD" ] && exit 1
+
+echo "$RECORD"